//
//    Copyright  2002, Larry Barello
//
// Hardware bits & pieces definition file for the uRC tether project
//
// at90s2313 Tether project
//

#define CPUCLK      8000000
//
// Port D used for the LCD PD 0-3 = data, 4 = RS, 5 = E

#define DDRD_INIT   0x3F
#define PORTD_INIT  0x40    // PD6 is input with pullup for switch

#define RD_CAL()    (inp(PIND) & BV(PD6))
//
// Port B is RC input and output - all low to drive caps low
//
#define RC_0        BV(PB0)         // OUT - Low
#define RC_1        BV(PB1)         // OUT - Low
#define RC_2        BV(PB2)         // OUT - Low
#define RC_3        BV(PB3)         // OUT - Low
#define JOY1_X1     PINB, BV(PB4)   // OUT - low
#define JOY1_Y1     PINB, BV(PB5)   // OUT - low
#define JOY1_X2     PINB, BV(PB6)   // OUT - low
#define JOY1_Y2     PINB, BV(PB7)   // OUT - low

#define RC_PORT     PORTB

#define DDRB_INIT   0xFF
#define PORTB_INIT  0x00
